//! Structures used by Marathon's Map format.

pub mod ambi;
pub mod bonk;
pub mod epnt;
pub mod iidx;
pub mod lins;
pub mod lite;
pub mod ltfn;
pub mod medi;
pub mod minf;
pub mod note;
pub mod objs;
pub mod plac;
pub mod plat;
pub mod pnts;
pub mod poly;
pub mod sids;
pub mod stex;
pub mod term;
pub mod trmf;
pub mod trmg;

/// The number of game ticks per second.
pub const TICKS_PER_SECOND: u16 = 30;

// EOF
