use crate::marathon::map;

impl Default for Block
{
   #[inline]
   fn default() -> Self {Self{info: map::minf::Minf::default()}}
}

/// Copyable, versioned map state.
#[derive(Clone, Debug)]
pub(super) struct Block
{
   pub(super) info: map::minf::Minf,
}

// EOF
