use maraiah::{durandal::bin, marathon::phy};

include!("data/rand.rs");

#[test]
fn phy_must_not_process()
{
   for inp in &RANDOM {
      bin::rd_array(inp, phy::fxpx::read).err().unwrap();
      bin::rd_array(inp, phy::mnpx::read).err().unwrap();
      bin::rd_array(inp, phy::prpx::read).err().unwrap();
      bin::rd_array(inp, phy::wppx::read).err().unwrap();
   }
}

#[test]
fn phy_must_not_panic()
{
   for inp in &RANDOM {
      drop(bin::rd_array(inp, phy::pxpx::read));
   }
}

// EOF
